<template>
  <v-row justify="start" align="start" no-gutters>
    <v-col class="mb-7" cols="12" md="2" align-self="center">
      <span class="field">
        {{ fieldName }}
      </span>
    </v-col>
    <v-col cols="12" md="6">
      <v-menu
        ref="menu"
        v-model="menu"
        :close-on-content-click="false"
        transition="scale-transition"
        offset-y
        min-width="auto"
      >
        <template #activator="{ on, attrs }">
          <v-text-field
            v-model="date"
            single-line
            solo
            flat
            dense
            label="Seleccione la fecha de nacimiento"
            prepend-inner-icon="mdi-calendar"
            readonly
            v-bind="attrs"
            v-on="on"
          />
        </template>
        <v-date-picker
          v-model="date"
          :active-picker.sync="activePicker"
          :max="new Date().toISOString().substr(0, 10)"
          min="1950-01-01"
          @change="save"
        />
      </v-menu>
    </v-col>
  </v-row>
</template>

<script>
export default {
  name: 'BirthdayPicker',
  props: {
    'fieldName': {
      default: '',
      type: String,
    },
    'value': {
      default: '',
      type: String,
    },
  },
  data() {
    return {
      activePicker: null,
      menu: false,
    };
  },
  computed: {
    date: {
      get() {
        return this.value;
      },
      set(val) {
        this.$emit('input', val);
      },
    },
  },
  watch: {
    menu(val) {
      val && setTimeout(() => (this.activePicker = 'YEAR'));
    },
  },
  methods: {
    save(date) {
      this.$refs.menu.save(date);
    },
  },
};
</script>

<style scoped>
.field {
  margin-left: 1rem;
  font-size: 0.9rem;
}
</style>
